Bug 1419656 - excon gem defaults generate error connecting to OSP
Summary: excon gem defaults generate error connecting to OSP
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: All
OS: Linux
unspecified
high
Target Milestone: GA
: 5.8.0
Assignee: Tzu-Mainn Chen
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks: 1440408
TreeView+ depends on / blocked
 
Reported: 2017-02-06 16:37 UTC by Mikel Olasagasti
Modified: 2020-05-14 15:36 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1440408 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:16:05 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1413912 None None None 2017-03-06 09:29:33 UTC

Description Mikel Olasagasti 2017-02-06 16:37:16 UTC
Description of problem:

IHAC with a custom RHOSP deployment and CF can't connect to it due an option in excon gem.

CF -(SSL)-> HAproxy external -(noSSL)-> WAF -> HAproxy internal -> keystone

The default omit_default_port to false add port 80 or 443 to the connection and this causes problems. Setting this constant to true make CF and MIQ being able to connect to OSP.

Version-Release number of selected component (if applicable):

All excon version included in CF-4.0, 4.2 and latest MIQ.


How reproducible:

Always using omit_default_port = false, never with true.


Steps to Reproduce:
1. Use default appliances with omit_default_port to false
2. Connect to OSP
3. Get 503 error


Additional info:

Upstream has an issue about removing this option: https://github.com/excon/excon/issues/357

Comment 2 Tzu-Mainn Chen 2017-04-05 19:39:57 UTC
This should be fixed in 5.7.2, as per https://bugzilla.redhat.com/show_bug.cgi?id=1432644

To summarize: config/settings.yml now has an omit_default_port setting

Comment 4 Ronnie Rasouli 2017-05-04 06:32:54 UTC
verified on 5.8.0.13 RC2
omit default ports keep the host IP without its port


Note You need to log in before you can comment on or make changes to this bug.